javax.lang.model.type

## Interface NoType

All Superinterfaces:
  TypeMirror

    public interface NoType
    extends TypeMirror

A pseudo-type used where no actual type is appropriate. The kinds of `NoType` are:

- `VOID` - corresponds to the keyword `void`.
- `PACKAGE` - the pseudo-type of a package element.
- `NONE` - used in other cases where no actual type is appropriate; for example, the superclass of `java.lang.Object`.

Since:
  1.6
See Also:
  `ExecutableElement.getReturnType()`

### Method Summary

### Methods inherited from interface javax.lang.model.type.TypeMirror

`accept, equals, getKind, hashCode, toString`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.